## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class SQLDataTypesFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypesFactoryImpl

All Implemented Interfaces:
  SQLDataTypesFactory

public class SQLDataTypesFactoryImpl
extends EFactoryImpl
implements SQLDataTypesFactory

An implementation of the model Factory.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.SQLDataTypesFactory
`eINSTANCE`

Constructor Summary
`SQLDataTypesFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`ApproximateNumericDataType` `createApproximateNumericDataType()`
`AttributeDefinition` `createAttributeDefinition()`
`BinaryStringDataType` `createBinaryStringDataType()`
`BooleanDataType` `createBooleanDataType()`
`CharacterSet` `createCharacterSet()`
`CharacterStringDataType` `createCharacterStringDataType()`
`DataLinkDataType` `createDataLinkDataType()`
`DateDataType` `createDateDataType()`
`DistinctUserDefinedType` `createDistinctUserDefinedType()`
`Domain` `createDomain()`
`Field` `createField()`
`FixedPrecisionDataType` `createFixedPrecisionDataType()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`IntegerDataType` `createIntegerDataType()`
`IntervalDataType` `createIntervalDataType()`
`RowDataType` `createRowDataType()`
`StructuredUserDefinedType` `createStructuredUserDefinedType()`
`TimeDataType` `createTimeDataType()`
`UserDefinedTypeOrdering` `createUserDefinedTypeOrdering()`
`XMLDataType` `createXMLDataType()`
`static SQLDataTypesPackage` `getPackage()` Deprecated.
`SQLDataTypesPackage` `getSQLDataTypesPackage()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDataTypesFactoryImpl

    public SQLDataTypesFactoryImpl()

  Creates an instance of the factory.

Method Detail

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createCharacterStringDataType

    public CharacterStringDataType createCharacterStringDataType()

  Specified by:
    `createCharacterStringDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Character String Data Type'.

### createRowDataType

    public RowDataType createRowDataType()

  Specified by:
    `createRowDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Row Data Type'.

### createBooleanDataType

    public BooleanDataType createBooleanDataType()

  Specified by:
    `createBooleanDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Boolean Data Type'.

### createIntervalDataType

    public IntervalDataType createIntervalDataType()

  Specified by:
    `createIntervalDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Interval Data Type'.

### createBinaryStringDataType

    public BinaryStringDataType createBinaryStringDataType()

  Specified by:
    `createBinaryStringDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Binary String Data Type'.

### createCharacterSet

    public CharacterSet createCharacterSet()

  Specified by:
    `createCharacterSet` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Character Set'.

### createTimeDataType

    public TimeDataType createTimeDataType()

  Specified by:
    `createTimeDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Time Data Type'.

### createDistinctUserDefinedType

    public DistinctUserDefinedType createDistinctUserDefinedType()

  Specified by:
    `createDistinctUserDefinedType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Distinct User Defined Type'.

### createStructuredUserDefinedType

    public StructuredUserDefinedType createStructuredUserDefinedType()

  Specified by:
    `createStructuredUserDefinedType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Structured User Defined Type'.

### createAttributeDefinition

    public AttributeDefinition createAttributeDefinition()

  Specified by:
    `createAttributeDefinition` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Attribute Definition'.

### createFixedPrecisionDataType

    public FixedPrecisionDataType createFixedPrecisionDataType()

  Specified by:
    `createFixedPrecisionDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Fixed Precision Data Type'.

### createDomain

    public Domain createDomain()

  Specified by:
    `createDomain` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Domain'.

### createField

    public Field createField()

  Specified by:
    `createField` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Field'.

### createDataLinkDataType

    public DataLinkDataType createDataLinkDataType()

  Specified by:
    `createDataLinkDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Data Link Data Type'.

### createUserDefinedTypeOrdering

    public UserDefinedTypeOrdering createUserDefinedTypeOrdering()

  Specified by:
    `createUserDefinedTypeOrdering` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'User Defined Type Ordering'.

### createDateDataType

    public DateDataType createDateDataType()

  Specified by:
    `createDateDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Date Data Type'.

### createApproximateNumericDataType

    public ApproximateNumericDataType createApproximateNumericDataType()

  Specified by:
    `createApproximateNumericDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Approximate Numeric Data Type'.

### createIntegerDataType

    public IntegerDataType createIntegerDataType()

  Specified by:
    `createIntegerDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'Integer Data Type'.

### createXMLDataType

    public XMLDataType createXMLDataType()

  Specified by:
    `createXMLDataType` in interface `SQLDataTypesFactory`
  Returns:
    a new object of class 'XML Data Type'.

### getSQLDataTypesPackage

    public SQLDataTypesPackage getSQLDataTypesPackage()

  Specified by:
    `getSQLDataTypesPackage` in interface `SQLDataTypesFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLDataTypesPackage getPackage()

  Deprecated.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.